diff --git a/web/package.json b/web/package.json
index 8ed32df9e..76ca44c02 100644
--- a/web/package.json
+++ b/web/package.json
@@ -122,7 +122,7 @@
     "tempusdominus-bootstrap-4": "^5.1.2",
     "tempusdominus-core": "^5.0.3",
     "underscore": "^1.13.1",
-    "webcabin-docker": "git+https://github.com/EnterpriseDB/wcDocker/#c4a3398b89588408dc705895675bce7bd7660d36",
+    "webcabin-docker": "git+https://github.com/EnterpriseDB/wcDocker/#89e006611f4d0fc24b0a098fa2041821d093be4f",
     "wkx": "^0.5.0"
   },
   "scripts": {
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 1c5af3f57..ca3cb1e38 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -514,6 +514,7 @@ define('pgadmin.browser.node', [
         isCloseable: true,
         isPrivate: true,
         isLayoutMember: false,
+        canMaximise: true,
         elContainer: true,
         content: '<div class="obj_properties container-fluid"><div role="status" class="pg-panel-message">' + gettext('Please wait while we fetch information about the node from the server...') + '</div></div>',
         onCreate: function(myPanel, $container) {
diff --git a/web/pgadmin/browser/static/js/panel.js b/web/pgadmin/browser/static/js/panel.js
index c9e64132b..98dbc2a2a 100644
--- a/web/pgadmin/browser/static/js/panel.js
+++ b/web/pgadmin/browser/static/js/panel.js
@@ -18,7 +18,7 @@ define(
       var defaults = [
         'name', 'title', 'width', 'height', 'showTitle', 'isCloseable',
         'isPrivate', 'isLayoutMember', 'content', 'icon', 'events', 'onCreate', 'elContainer',
-        'canHide', 'limit', 'extraClasses',
+        'canHide', 'limit', 'extraClasses', 'canMaximise',
       ];
       _.extend(this, _.pick(options, defaults));
     };
@@ -37,6 +37,7 @@ define(
       panel: null,
       onCreate: null,
       elContainer: false,
+      canMaximise: false,
       limit: null,
       extraClasses: null,
       load: function(docker, title) {
@@ -69,6 +70,7 @@ define(
                 $container.addClass(that.extraClasses);
               }
 
+              myPanel.maximisable(!!that.canMaximise);
               myPanel.closeable(!!that.isCloseable);
               myPanel.layout().addItem($container);
               that.panel = myPanel;
diff --git a/web/pgadmin/static/scss/_webcabin.pgadmin.scss b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
index c917c531d..444c7ff7e 100644
--- a/web/pgadmin/static/scss/_webcabin.pgadmin.scss
+++ b/web/pgadmin/static/scss/_webcabin.pgadmin.scss
@@ -64,6 +64,9 @@
   display: flex;
 }
 
+.wcFloating .wcFrameButtonBar {
+  flex-direction: row-reverse;
+}
 
 .wcLayout {
   display: block;
diff --git a/web/yarn.lock b/web/yarn.lock
index a5655468b..e517bf0fe 100644
--- a/web/yarn.lock
+++ b/web/yarn.lock
@@ -9002,9 +9002,9 @@ watchpack@^2.0.0:
     glob-to-regexp "^0.4.1"
     graceful-fs "^4.1.2"
 
-"webcabin-docker@git+https://github.com/EnterpriseDB/wcDocker/#c4a3398b89588408dc705895675bce7bd7660d36":
-  version "2.2.4-dev"
-  resolved "git+https://github.com/EnterpriseDB/wcDocker/#c4a3398b89588408dc705895675bce7bd7660d36"
+"webcabin-docker@git+https://github.com/EnterpriseDB/wcDocker/#89e006611f4d0fc24b0a098fa2041821d093be4f":
+  version "2.2.5"
+  resolved "git+https://github.com/EnterpriseDB/wcDocker/#89e006611f4d0fc24b0a098fa2041821d093be4f"
   dependencies:
     "@fortawesome/fontawesome-free" "^5.14.0"
     FileSaver "^0.10.0"
